module SolrHelper
  $select_url = 'http://localhost:8983/solr/select/'

  def get_results(search)
      raw_results = open("#{$select_url}?q=#{search}").read
      xml_results = REXML::Document.new raw_results

      results = []
      REXML::XPath.each(xml_results, '//result/doc') do |doc|
        results.push({
          :id => doc.elements['./str[@name="id"]'],
          :description => doc.elements['./str[@name="name"]']
        })
      end

      return results
  end

end
